/*
 * ===========================
 * VDK Builder
 * Version 0.1.1
 * Revision 0.0
 * March 1999
 * ===========================
 *
 * Copyright (C) 1998,1999 Mario Motta
 * Developed by Mario Motta <mmotta@guest.net>
 *
 * Based on VDK Library 
 * Copyright (C) 1998, Mario Motta
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 */
#include <vdkb2/vdkb_prop.h>

// VDKBProperty class
VDKBProperty::VDKBProperty()
{
}

VDKBProperty::VDKBProperty(const char* n, const char* v) :
	name(n),value(v ? v : NIHIL_PROP)
{
}

VDKBProperty::~VDKBProperty()
{
}

char*
VDKBProperty::Value(const char* v)
{
	if(v) value = v; return (char*) value;
}

char*
VDKBProperty::Name()
{
	return (char*) name;
}

VDKUString&
VDKBProperty::Property()
{
	return value;
}

bool
VDKBProperty::operator == (VDKBProperty& p)
{
	return name == p.name;
}

bool
VDKBProperty::operator<(VDKBProperty& p)
{
	return name < p.name;
}

// VDKBPropertyList class
VDKBPropertyList::VDKBPropertyList()
{
}

VDKBPropertyList::~VDKBPropertyList()
{
}








